
QGIS Application - Bug report #16981

Load vector layer in Processing: wrong filter (on GNOME)

2017-08-07 12:14 PM - Paolo Cavallini

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: Yes

Operating System: Debian/Gnome Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24880

Description

Loading a layer from the filesystem in a Processing module does not filter layer types; this is confusing, only vector extensions should be

shown.

History

#1 - 2017-08-07 12:15 PM - Paolo Cavallini

This on Debian Sid/Gnome3

#2 - 2017-08-07 12:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

what does it show if you click on that "all files" button?

#3 - 2017-08-07 12:17 PM - Paolo Cavallini

Just All files and an empty line.

#4 - 2017-08-07 12:18 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Subject changed from Load vector layer in Processing: wrong filter to Load vector layer in Processing: wrong filter (on GNOME)

- Priority changed from Normal to High

- Operating System set to Debian/Gnome

#5 - 2017-08-07 12:18 PM - Giovanni Manghi

- Status changed from Feedback to Open

On Windows it works as expected.

#6 - 2018-01-16 05:54 AM - Nyall Dawson

- Status changed from Open to Feedback
I can't reproduce on gnome - is this still an issue on master?

#7 - 2018-01-16 10:46 AM - Paolo Cavallini

Still true as per commit:5522f10eb6

I can test a newer master in a few days if necessary.

#8 - 2018-01-16 11:04 AM - Mathieu Pellerin - nIRV

I have a feeling there was a lack of clarity on in this report :)

I can reproduce this with algorithms with a map (i.e. vector and raster) layer parameter (for e.g. extract layer extent).

#9 - 2018-01-16 11:07 AM - Paolo Cavallini

You are right, sorry.

Thanks for checking.

#10 - 2018-01-16 12:11 PM - Mathieu Pellerin - nIRV

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Paolo, no worries, it's now fixed.

Issues are better served with a bullet point "steps to reproduce" list, try that next time ;-) thanks for reporting this.

#11 - 2018-01-16 01:41 PM - Paolo Cavallini

Of course, I know. Unfortunately sometime time is really impossible to find, and I feel it is better not to forget an issue - clarifications can be provided also

later.

Anyway, thanks for the fix!
